Meta
Introspect the calling API key
GET
/me
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.kirim.chat/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.kirim.chat/v1/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.kirim.chat/v1/me";
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap());
let client = reqwest::Client::new(); let response = client.get(url) .headers(headers) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://api.kirim.chat/v1/me \ --header 'Authorization: Bearer <token>'Returns the organization, API key, and rate-limit tier associated with the bearer token. Use to verify key validity from automation scripts.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”API key context
Media type application/json
object
data
required
object
organization
required
object
id
required
string
object
required
string
name
required
string
api_key
required
object
id
required
string
object
required
string
label
required
string
last4
required
string
rate_limits
required
object
tier
required
string
write_per_minute
required
integer
read_per_minute
required
integer
request_id
required
string
Example
{ "data": { "organization": { "id": "org_01HXYZABCDEFGHJKMNPQRSTVWX", "object": "organization" }, "api_key": { "id": "key_01HXYZABCDEFGHJKMNPQRSTVWX", "object": "api_key" } }}Authentication failure
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}Rate limit exceeded
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}Internal server error
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}